Sign inGet started

Teams

GET
/organizations/{organizationId}/teams
List the teams inside an organization.
Parametry zapytania
limit
integer
Limits the number of results to return.
reverse
boolean
Reverses the order in which the results are returned.
pageToken
string
The cursor that keeps track of the current position in the results.
Treść odpowiedzi
results
array of object
wymagane
Pokaż atrybuty podrzędne
results.id
string
wymagane
results.name
string
wymagane
results.description
string
wymagane
results.visibility
string
wymagane
Possible values: public, private
results.accessibility
string
wymagane
Possible values: open, request-to-join, invite-only
results.activeMemberCount
integer
wymagane
results.pendingMemberCount
integer
wymagane
results.featuredMembers
array of object
wymagane
Pokaż atrybuty podrzędne
results.featuredMembers.type
string
wymagane
Possible values: user
results.featuredMembers.id
string
wymagane
results.roleRefs
array of object
The list of roles assigned to the team
Pokaż atrybuty podrzędne
results.roleRefs.id
string
wymagane
results.roleRefs.type
string
wymagane
Possible values: organization, managed
results.roleRefs.workspaces
array of string
results.createdAt
string
wymagane
results.updatedAt
string
wymagane
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Przykład kodu
curl -X GET 'https://api.bird.com/organizations/{organizationId}/teams' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/organizations/{organizationId}/teams
Create a new team inside the organization.
Treść żądania
name
string
wymagane
description
string
wymagane
roleRefs
array of object
The list of roles assigned to the team
Pokaż parametry podrzędne
roleRefs.id
string
wymagane
roleRefs.type
string
wymagane
Possible values: organization, managed
roleRefs.workspaces
array of string
Treść odpowiedzi
id
string
wymagane
name
string
wymagane
description
string
wymagane
visibility
string
wymagane
Possible values: public, private
accessibility
string
wymagane
Possible values: open, request-to-join, invite-only
activeMemberCount
integer
wymagane
pendingMemberCount
integer
wymagane
featuredMembers
array of object
wymagane
Pokaż atrybuty podrzędne
featuredMembers.type
string
wymagane
Possible values: user
featuredMembers.id
string
wymagane
roleRefs
array of object
The list of roles assigned to the team
Pokaż atrybuty podrzędne
roleRefs.id
string
wymagane
roleRefs.type
string
wymagane
Possible values: organization, managed
roleRefs.workspaces
array of string
createdAt
string
wymagane
updatedAt
string
wymagane
Przykład kodu
curl -X POST 'https://api.bird.com/organizations/{organizationId}/teams' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/organizations/{organizationId}/teams/{teamId}
Retrieve a single team.
Treść odpowiedzi
id
string
wymagane
name
string
wymagane
description
string
wymagane
visibility
string
wymagane
Possible values: public, private
accessibility
string
wymagane
Possible values: open, request-to-join, invite-only
activeMemberCount
integer
wymagane
pendingMemberCount
integer
wymagane
featuredMembers
array of object
wymagane
Pokaż atrybuty podrzędne
featuredMembers.type
string
wymagane
Possible values: user
featuredMembers.id
string
wymagane
roleRefs
array of object
The list of roles assigned to the team
Pokaż atrybuty podrzędne
roleRefs.id
string
wymagane
roleRefs.type
string
wymagane
Possible values: organization, managed
roleRefs.workspaces
array of string
createdAt
string
wymagane
updatedAt
string
wymagane
Przykład kodu
curl -X GET 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/organizations/{organizationId}/teams/{teamId}
Delete a team from an organization.
Przykład kodu
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/organizations/{organizationId}/teams/{teamId}
Update a team's details.
Treść żądania
name
string
description
string
roleRefs
array of object
The list of roles assigned to the team
Pokaż parametry podrzędne
roleRefs.id
string
wymagane
roleRefs.type
string
wymagane
Possible values: organization, managed
roleRefs.workspaces
array of string
Treść odpowiedzi
id
string
wymagane
name
string
wymagane
description
string
wymagane
visibility
string
wymagane
Possible values: public, private
accessibility
string
wymagane
Possible values: open, request-to-join, invite-only
activeMemberCount
integer
wymagane
pendingMemberCount
integer
wymagane
featuredMembers
array of object
wymagane
Pokaż atrybuty podrzędne
featuredMembers.type
string
wymagane
Possible values: user
featuredMembers.id
string
wymagane
roleRefs
array of object
The list of roles assigned to the team
Pokaż atrybuty podrzędne
roleRefs.id
string
wymagane
roleRefs.type
string
wymagane
Possible values: organization, managed
roleRefs.workspaces
array of string
createdAt
string
wymagane
updatedAt
string
wymagane
Przykład kodu
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'